<?php
include_once("../php/config.php");
include_once("../header.php");


?>
<script>
	if(myLevel!="Master" && myLevel!="Almacen"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>
<style>
.transparent {
    background-color: transparent !important;
    box-shadow: inset 0px 1px 0 rgba(0,0,0,.075);
 }
 .left-border-none {
    border-left:none !important;
    box-shadow: inset 0px 1px 0 rgba(0,0,0,.075);
 }
</style>
<div class="container">
  <ol class="breadcrumb" style="padding: 8px;">
  <li><a href="#">Compras</a></li>
  <li><a href="#">Nueva compra</a></li>
  <li class="active"><?php echo fecha($hoy)?></li>
  <div style="float: right;">

                        
                            <span class='text-success bold'>No. compra</span>
                  
                        
                         <input type="text" id="txt-compra" class="form-control1" placeholder="No. factura">
                        


                        
                            <span class='text-success bold'>NCF</span>
                       
                        
                         <input type="text" id="ncf" class="form-control1" placeholder="Comprobante fiscal">
                       

                    </div>
           
         <br>  <br>      

</ol>
	   <h3 class="text-success"><i class="fa fa-cart-arrow-down fa-lg"></i> Nueva compra</h3>
			<input type="hidden" class="form-control mt-2 bold" id="txt-folio">
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio" class="bold">Producto</label>
						</div>
              
  <div class="form-group">
    <div class="col-xs-3">
      <div class="input-group">
          <span class="input-group-addon transparent"><i class="fa fa-barcode fa-lg"></i></span>
          <input id="txt-buscar"  onClick="modalProductos()" class="form-control left-border-none" placeholder="Click aqui para buscar en la lista" type="text" >
      </div>
    </div>
    <div class="col-md-5">

							<button class="btn btn-default  btn-md" onclick="nuevo()"><i class="fa fa-file fa-lg"></i> Nueva</button>
              <button class="btn btn-default  btn-md" onclick="modalNota()"> <i class="fa fa-list-alt fa-lg"> </i> Nota</button>
              <button class="btn btn-default  btn-md" onclick="window.open('../productos/productos.php?', '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');"> <i class="fa fa-list-alt fa-lg"> </i>Ctl. Prod</button>

              <button class="btn btn-success  btn-md" onclick="grabar()"> <i class="fa fa-save fa-lg"> </i>  Grabar</button>

</div>

  </div>
<script>
function modalNota(){
  $("#modalNota").modal("show");
  $("#txt-nota").focus().select();
}
</script>
              <input type="hidden" name="" id="txt-costo">

						

						
            <div style="float: right; margin-right: 10px; ">

   <input type="hidden" id="txt-impuestos">
   <span class="h3">TOTALES</span>
   <hr>
   <span class="h5 text-danger mt-2 bold">ITBIS: <span id="lb-impuestos">0.00</span> </span><br>
   <div style="display:none">
          <span class="h5 text-danger mt-2 bold impuestos">I16: <span id="lb-16">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold impuestos">I13: <span id="lb-13">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold impuestos" >I10: <span id="lb-10">0.00</span> </span><br>
          <span class="h5 text-danger mt-2 bold impuestos">IE: <span id="lb-exento">0.00</span> </span><br>
          </div>

    <span class="h3 text-success" >DOP$: <span id="lb-total">0.00</span> </span>
  </div>

					</div>




<div id="lista">

</div>

</div>		






	<!---Modal productos-->
	<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
          		<input class="form-control mb-2" type="search" id="txt-buscar2" onkeyup="lista_productos(this.value)">
          		<div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">
          			
          		</div>
		  </div>
          <div class="modal-footer">
            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>


    	<!---Modal detalle-->
	<div class="modal" id="modalDetalle" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / costo</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
          		<label>Cantidad</label>
          		<input class="form-control mb-2 bold" type="text" id="txt-cantidad">

          		<label>Costo</label>
          		<input class="form-control mb-2 bold text-success" type="text" id="txt-costo0">
				<br>
				<label>Precio de venta</label>
          		<input class="form-control mb-2 bold text-success" type="text" id="txt-precio0">

          		
		  </div>
          <div class="modal-footer">
          	 <a href="javascript:void(0)" class="btn btn-default mt-2" onClick="update_detalle()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>
          	  <a href="javascript:void(0)" class="btn btn-default mt-2" onClick="borrar()" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Borrar</a>
            <a href="javascript:void(0)" class="btn btn-warning mt-2" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>




    	<!---Modal nota-->
      <div class="modal" id="modalNota" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Cantidad / costo</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
          		<label class="text-success">Agregar nota(Nombre del proveedor, telefono o direccion)</label>
          		<textarea id="txt-nota" class="form-control">

              </textarea>

          		
          		
		  </div>
          <div class="modal-footer">
          	 <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"> <i class="fa fa-w fa-check"></i> Aceptar</a>

          </div>
        </div>
      </div>
    </div>





 	<!---Modal grabar-->
	<div class="modal" id="modalGrabar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Grabar venta</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">

                  <div class="row">
                        <div class="col-md-3">
                            <b class="text-primary">Termino</b>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="termino">

                                <option value="Efectivo">Efectivo</option>
                                <option value="Credito">Credito</option>
                                 <option value="Cheque">Cheque</option>
                                <option value="Tarjeta">Tarjeta</option>
                               

                    
                            </select>
                        </div>
                    </div>




          	  <div class="row">
                        <div class="col-md-3">
                            <b>proveedor</b>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="proveedores">

                                <option value="Generico" selected>Generico</option>
                                <?php $sql2 = mysql_query("select * from proveedores order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_preveedor'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

          		   	  <div class="row">
                        <div class="col-md-3">
                            <b>Monto factura</b>
                        </div>
                        <div class="col-md-9">
                           <input type="number" id="txt-monto" placeholder="0.00" class="form-control bold text-success " disabled>
                        </div>
                    </div>
                    <hr>
                      <div class="row">
                        <div class="col-md-3">
                            <b class="text-primary">PAGADO</b>
                        </div>
                        <div class="col-md-9">
                           <input type="number" id="txt-pagado" placeholder="0.00" class="form-control bold text-danger" onKeyUp="devuelta()">
                        </div>
                    </div>

                    <br>
                      <div class="row">
                        <div class="col-md-3">
                            <b>DEVUELTA</b>
                        </div>
                        <div class="col-md-9">
                           <input type="number" id="txt-devuelta" placeholder="0.00" class="form-control bold text-primary" disabled>
                        </div>
                    </div>	
		  </div>
          <div class="modal-footer">
          	 <button id="btn-grabar" class="btn btn-success" onclick="grabar_venta()">  Grabar venta</button>

            <a href="javascript:void(0)" class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>


<?php
include("../footer.php");
?>

<script type="text/javascript">
folio();

function lista(folio){
	try{
	$.get("carrito.php?folio="+folio,function(data,st){
		if(st=="success"){
			$("#lista").html(data);
			suma()
		}
	});
}catch(e){
	alert(e.message)
}
}

$("#termino").change(function(){
 var termino =$("#termino").val() 
if(termino=="Credito" || termino=="Conduce"){
  $("#txt-pagado").val("");
  $("#txt-pagado").prop("disabled",true);
  $("#txt-devuelta").val("");
  $("#txt-devuelta").prop("disabled",true);
  
}else{
  $("#txt-pagado").val("");
  $("#txt-pagado").prop("disabled",false);
  $("#txt-devuelta").val("");

  
}

})



////LISTA PRODUCTOS///
function lista_productos(v){
	try{
            var sql="select * from productos where descripcion like '%"+v+"%'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
            	if(data=="null"){$("#lista-productos").html("No hay datos para mostrar"); return;}
                var rs = JSON.parse(data);
       			var tabla="<table style='width:100%'><th>Producto</th><th>costo</th>";
       			var id_;
                for( var i in rs.data){ 
                	id_ = rs.data[i].id_producto
                	tabla+="<tr>";
                	tabla+="<td><a href='javascript:void(0)' onclick='get_lista("+id_+")'>"+rs.data[i].descripcion+"</a></td>";
                	tabla+="<td>"+rs.data[i].costo+"</td>";
                	tabla+="</tr>";
                   
                }
                 tabla+="</table>";
                 $("#lista-productos").html(tabla);
                 $("td").addClass("font-weight-light");
                
            })
         }catch(e){alert(e.message)}
        }


function modalProductos(){
	$("#modalProductos").modal("show");
	$("#lista-productos").html("<small class='text-primary'>Buscando productos...</small>");
  $("#txt-buscar2").focus().select();
	lista_productos($("#txt-buscar2").val());
  $("#txt-buscar").val("")
  ///$("#txt-buscar2").val("")
}

var costo=0;

var descripcion="";
var codigo="";
var id_producto=0;
var folio=0;
var tipo_impuesto=0;
var valor_impuesto=0;
var total_impuesto=0;
function get_lista(id){
            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
              id_producto= rs.data[i].id_producto;             
       				codigo = rs.data[i].codigo;  
       				descripcion = rs.data[i].descripcion;  
       				costo = rs.data[i].costo;  
       			    
              tipo_impuesto = rs.data[i].tipo_impuestos; 
              valor_impuesto = rs.data[i].valor_impuestos; 
              var iprecio = rs.data[i].precio; 
              var variedad = rs.data[i].variedad; 
              var unidad = rs.data[i].unidad; 
			  var itotal_precio=iprecio
                }
				
                agregar(codigo,descripcion,costo,costo,tipo_impuesto,valor_impuesto, iprecio, itotal_precio, variedad, unidad);
                
            })
        }

function agregar(codigo,descripcion,costo,costo,tipo_impuesto,valor_impuesto, iprecio, itotal_precio, variedad, unidad){

     if(codigo==""){alert('Producto no encontrado'); return}
    var sql="";                            
    
            sql="INSERT INTO detalle_compra set";
            sql+=" descripcion='"+descripcion+"'";
            sql+=", codigo='"+codigo+"'";
            //sql+=", costo='"+costo+"'";
            //sql+=", total_costo='"+costo+"'";
            sql+=", costo='"+costo+"'"; 
            sql+=", total_costo='"+costo+"'"; 
			      sql+=", precio='"+iprecio+"'"; 
			      sql+=", total_precio='"+itotal_precio+"'"; 
            sql+=", unidad='"+unidad+"'"; 
            sql+=", variedad='"+variedad+"'"; 
            sql+=", tipo_impuesto='"+tipo_impuesto+"'"; 
            sql+=", valor_impuesto='"+f_impuestos(tipo_impuesto,costo)+"'"; 
			     sql+=", total_impuesto='"+f_impuestos(tipo_impuesto,costo)+"'"; 
			
            //sql+=", total_impuesto='"+valor_impuesto+"'"; 
            sql+=", cantidad=1"; 
            sql+=", fecha=NOW()"; 
            sql+=", usuario='"+myUser+"'"; 
            sql+=", folio='"+folio+"'"; 
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
            	if(data=="1"){
            		lista(folio);
            		$(".modal").modal('hide');
                $("#txt-buscar").val("");
                $("#txt-buscar2").val("");
                $("#txt-buscar").focus().select();

            	}else{
            		alert(data)
            	}
            })
  
}


var total=0.00;
var total_costo=0.00;
var total_impuesto=0.00;

function suma(){
	 var sql="select total_costo,total_costo, tipo_impuesto, valor_impuesto, total_impuesto from detalle_compra where folio='"+folio+"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
              if(data=="null"){
                $("#lb-total").html("0.00")
                $("#lb-impuestos").html("0.00");
 
                $("#txt-impuestos").val("");
                $("#txt-monto").val("");
                $("#txt-costo0").val("");
                $("#txt-costo").val("");
                total=0.00;
                total_costo=0.00
                total_impuesto=0.00
                c=0;
                return;
              }

                var rs = JSON.parse(data);
                 c=0;
                 ////impuestos() 
                for( var i in rs.data){ 
                   total+=parseFloat(rs.data[i].total_costo);
                   total_costo+=parseFloat(rs.data[i].total_costo);
                   total_impuesto+=parseFloat(rs.data[i].total_impuesto);
                   c++;
                }

                $("#lb-total").html(numeral(total_costo).format('0,0.00'))
                $("#lb-impuestos").html(numeral(total_impuesto).format('0,0.00'))
                $("#txt-impuestos").val(total_impuesto);
                $("#txt-monto").val(total_costo);
                 $("#txt-costo").val(total_costo);
                 $("#txt-costo0").val(total_costo);
                total=0.00;
                total_costo=0.00
                total_impuesto=0.00;
                
            })
}


var id_detalle;
function ver(v){
         $(".form-control").val("");
	         var sql="select * from detalle_compra where id_detalle='"+v+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                id_detalle = rs.data[i].id_detalle
                 $("#modalDetalle").modal("show");
                 $("#txt-cantidad").val(rs.data[i].cantidad)
                 $("#txt-costo").val(rs.data[i].costo)
                 $("#txt-costo0").val(rs.data[i].costo)
				         $("#txt-precio0").val(rs.data[i].precio)
                 $("#txt-cantidad").focus().select();
				        tipo_impuesto = rs.data[i].tipo_impuesto
                 


                }
              
                
            })
}


function set_provvedor(){
  var proveedor = $("#proveedores").val()

      var sql="";                            
    
            sql="UPDATE detalle_compra set";
            sql+=" proveedor='"+proveedor+"'";
            sql+=" WHERE folio='"+folio+"'"; 
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
              if(data=="1"){
////
              }else{
                alert(data)
              }
            })
}


function update_detalle(){
	var cantidad =  $("#txt-cantidad").val();
	var lcosto =  $("#txt-costo0").val()
	var lprecio =  $("#txt-precio0").val()
     if(cantidad=="" || parseFloat(cantidad)<=0 || lcosto=="" || parseFloat(lcosto)<=0){alert('Datos invalido'); return}
    	var sql="";                            
    
            sql="UPDATE detalle_compra set";
            sql+=" cantidad='"+cantidad+"'";
            sql+=", costo='"+lcosto+"'";
            sql+=", precio='"+lprecio+"'";
            sql+=", total_costo=costo * '"+cantidad+"'";
			 sql+=", total_precio='"+parseFloat(lprecio) * parseFloat(cantidad)+"'";
            sql+=", total_impuesto='"+f_impuestos(tipo_impuesto,lcosto)*cantidad+"'"; 
			
            sql+=" WHERE id_detalle='"+id_detalle+"'"; 
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
            	if(data=="1"){
            		lista(folio);
            		$(".modal").modal('hide');

            	}else{
            		alert(data)
            	}
            })
}


function borrar(){
			var sql="";                           
            sql="delete from detalle_compra";
            sql+=" WHERE id_detalle='"+id_detalle+"'"; 
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
            	if(data=="1"){
            		lista(folio);
                suma()
            		$(".modal").modal('hide');

            	}else{
            		alert(data)
            	}
            })
}

function nuevo(){
			if(!confirm("Limpiar los datos de esta compra?")){return;}
			var sql="";                           
            sql="delete from detalle_compra";
            sql+=" WHERE folio='"+folio+"'"; 
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
            	if(data=="1"){
            		lista(folio);
            		total_costo=0;
            		total_costo=0;
            		total_impuestos=0;
                id_detalle="";

            		$("#lb-total").html("0.00");
                $("#lb-impuestos").html("0.00");
                $("#txt-monto").val("");
                 $("#txt-costo").val("");
                 $("#txt-impuestos").val("");



            	}else{
            		alert(data)
            	}
            })
}

////FOLIO///
function folio(){
            var sql="select * from parametros"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){ 
                    $("#txt-folio").val(rs.data[i].folio_compra);
                    folio =(rs.data[i].folio_compra);
                    lista(folio)
                }
                
            })
        }

function grabar(){
  
  var itotal = $("#txt-monto").val()
  if(itotal==""){alert("El monto de la factura esta nulo"); return}

	$("#modalGrabar").modal("show");
 $("#txt-pagado").focus().select();
 

}




/*GRABAR VENTA*/
function grabar_venta(){
  var monto = $("#txt-monto").val()
  var pago_con = $("#txt-pagado").val()
  var devuelta = $("#txt-devuelta").val()
  var termino = $("#termino").val()
  var proveedor = $("#proveedores").val()
  var costo = $("#txt-costo").val()
  var impuestos = $("#txt-impuestos").val()
  var nota = $("#txt-nota").val()
  
    var i16 = $("#lb-16").html()
    var i13 =   $("#lb-13").html()
    var i10 =   $("#lb-10").html()
    var ie =  $("#lb-exento").html()

    if(proveedor=="Generico" && termino=="Credito"){
    alert("Debe seleccionar un proveedor");
    return;
  }

    if(parseFloat(monto)>parseFloat(pago_con)){
    alert("Monto invalido");
    $("#txt-pagado").focus().select();
    return;
  }
  var pagado=0.00;
  if(parseFloat(pago_con)>parseFloat(monto)){
    pagado=monto;
  }else{
    pagado=pago_con;
  }
    if(pago_con=="" && termino=="Efectivo" || parseFloat(pago_con)<=0 && termino=="Efectivo"){
    alert("Monto invalido");
    $("#txt-pagado").focus().select();
    return;
   } 
  
            var sql="";                            
            sql="INSERT INTO compras set ";
            sql+=" fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", proveedor='"+proveedor+"'";
            //sql+=", costo='"+costo+"'"; 
            sql+=", costo='"+costo+"'"; 
            sql+=", total='"+costo+"'"; 
            sql+=", usuario='"+myUser+"'"; 
            sql+=", folio='"+folio+"'"; 
            sql+=", termino='"+termino+"'"; 
            sql+=", pago_con='"+pago_con+"'"; 
            sql+=", pagado='"+pagado+"'";
            sql+=", devuelta='"+devuelta+"'"; 
           
            sql+= ", impuesto='" + impuestos + "'";
            sql+= ", impuesto_16='" + i16 + "'";
            sql+= ", impuesto_13='" + i13 + "'";
            sql+= ", impuesto_10='" + i10 + "'";
            sql+= ", impuesto_exento='" + ie + "'";
            sql+=", nota='"+nota+"'"; 
            sql+=", ncf='"+$("#ncf").val()+"'"; 
            if(termino=="Credito"){
            sql+=", balance='"+monto+"'"; 
            }

        
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
         scan_detalle();
         ncf = $("#ncf").val()
         if(termino!="Conduce"){
          generar_ncf();
            set_provvedor()
         }


      }else{
          alert(data);
          $("#btn-grabar").show()
      }
     
    })
}



function scan_detalle(){
  try{
            var sql="";                            
            sql="select * from detalle_compra where folio='"+folio+"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
             
                for(i in rs.data){ 
                    
                    kardex(rs.data[i].codigo, rs.data[i].descripcion, rs.data[i].cantidad,"Compra : "+folio,"Entrada",rs.data[i].almacen, rs.data[i].id_detalle,rs.data[i].costo,rs.data[i].valor_impuesto, rs.data[i].tipo_impuesto,rs.data[i].costo, rs.data[i].precio)
                }
                
            })


}catch(e){
  alert(e.message)
}

}




////KARDEX////
contado=0;
c=0;
function kardex(codigo,descripcion,cantidad,concepto,tipo,almacen,id_inventario,costo,valor_impuesto, tipo_impuesto,costo, precio){
  try{
  var datos = "codigo="+codigo  
      datos+= "&descripcion="+descripcion  
      datos+= "&cantidad="+cantidad  
      datos+= "&concepto="+concepto  
      datos+= "&tipo="+tipo  
      datos+= "&costo="+costo  
      datos+= "&costo="+costo  
      datos+= "&almacen="+myAlmacen  
      datos+= "&valor_impuesto="+valor_impuesto  
	  datos+= "&precio="+precio  
	   datos+= "&tipo_impuesto="+tipo_impuesto  

      datos+= "&usuario="+myUser 

  $.get("kardex.php?"+datos,function(data,st){
    if(st=="success"){
    
     contado++;
     //alert(contado+" - "+c)
     if(contado==c){
      
          $("button").prop("disabled",true);
          $("#btn-grabar").hide()
        
          update_folio()

      contado=0;
     }
    }
  });
}catch(e){
  alert(e.message)
}

}







function update_folio(){
           var sql="";                            
            sql="UPDATE parametros set";
            sql+=" folio_compra=folio_compra+1";
          
   
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        alert("Compra "+folio+" grabada con exito")
        
        //$(".modal").modal('hide');
        window.open('ticket_compra.php?folio='+folio, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
          
        window.location.reload()
        $("button").prop("disabled",false);
      }else{
          alert(data);
           $("#btn-grabar").show()
            
      }
       
    })
}
/*!GRABAR VENTA*/

///NCF//
var ncf="";
var ncf_generado="";
var secuencia="";
var tipo_ncf="";
function generar_ncf(){
  /*
  var sql = "update ncf set secuencia=secuencia+1 where prefijo='"+ncf+"'";

  _enviar("../php/update.php",{sql:sql})
  .done( function( data ){
    if(data!="1"){alert(data); return;}
    
    
  })
*/
}

get_ncf()
function get_ncf(){
 /* 
ncf = $("#ncf").val()  
var sql="select * from ncf where prefijo='"+ncf+"'"
_enviar("../php/traer_datos.php",{sql:sql})
.done( function ( data ){
  var rs = JSON.parse(data);
   secuencia = rs.data[0].secuencia;
   tipo_ncf = rs.data[0].tipo;


});
  */
}


function f_impuestos(tipo,costo){
  var it = parseFloat(costo)/parseFloat("1."+tipo);
  var valor  = parseFloat(costo) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo==""){valor=0}
  var v = valor.toFixed(3)
  return v;
}


function devuelta(){
    var monto = $("#txt-monto").val()
    var pagado = $("#txt-pagado").val()
    if(parseFloat(pagado)>parseFloat(monto)){
      var res = parseFloat(pagado) - parseFloat(monto);
       $("#txt-devuelta").val(res);
    }else{
      $("#txt-devuelta").val("");
    }

}



    
function impuestos() {
    var i18=0.00;
    var i16=0.00;
    var i13=0.00;
    var i10=0.00;
    var ie=0.00;
    var sql = "select tipo_impuesto, total_impuesto from  detalle_compra where folio='" + folio + "'";
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        if (data == "null") {
          $("#lb-exento").html("0.00")
          $("#lb-16").html("0.00")
		  $("#lb-18").html("0.00")
		  $("#lb-13").html("0.00")
		  $("#lb-10").html("0.00")
          return;
        }

        var rs = JSON.parse(data);
        c = 0;
        for (var i in rs.data) {
        if(rs.data[i].tipo_impuesto=="18.00"){
            i18 += parseFloat(rs.data[i].total_impuesto);
        }
        
        if(rs.data[i].tipo_impuesto=="16.00"){
            
            i16 += parseFloat(rs.data[i].total_impuesto);
        }
            if(rs.data[i].tipo_impuesto=="0.00"){
            ie += parseFloat(rs.data[i].total_impuesto);
        }
        
          if(rs.data[i].tipo_impuesto=="13.00"){
            i13 += parseFloat(rs.data[i].total_impuesto);
        }
        
            if(rs.data[i].tipo_impuesto=="10.00"){
            i10 += parseFloat(rs.data[i].total_impuesto);
        }
        
         

        }
        var todos_impuestos = parseFloat(i18) + parseFloat(i16) + parseFloat(i13) + parseFloat(i10) + parseFloat(ie) 
        $("#lb-18").html(i18)
        $("#lb-16").html(i16)
        $("#lb-13").html(i13)
        $("#lb-10").html(i10)
        $("#lb-exento").html(ie)
        
        
        ///$("#lb-total").html(numeral(total).format('0,0.00'))
        $("#lb-impuestos").html(numeral(i18).format('0,0.00'))
        $("#txt-impuestos").val(todos_impuestos);
        ///$("#txt-monto").val(total);
       ///  setTotal(total);
         
		 $("#txt-monto2").val(total);
        $("#txt-costo").val(total_costo);
        $("#items").html("Items: "+c)
		$("#items2").val(c)
        total = 0.00;
        total_costo = 0.00
        total_impuesto = 0.00;
         
       

      })
	  $("#txt-buscar").focus()
   
  }
$(".impuestos").hide();
</script>